{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.eInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;",
  "numberOfDefinitions": 5,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Z": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/RegionOperations.isRedefinitionContextValid(Lorg/eclipse/uml2/uml/Region;Lorg/eclipse/uml2/uml/Region;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/TransitionOperations.validateSignaturesCompatible(Lorg/eclipse/uml2/uml/Transition;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.visibleMembers(Lorg/eclipse/uml2/uml/Package;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/VertexOperations.getIncomings(Lorg/eclipse/uml2/uml/Vertex;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.getProfileApplication(Lorg/eclipse/uml2/uml/Package;Lorg/eclipse/uml2/uml/Profile;)Lorg/eclipse/uml2/uml/ProfileApplication;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.makesVisible(Lorg/eclipse/uml2/uml/Package;Lorg/eclipse/uml2/uml/NamedElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.removeKeyword(Ljava/lang/String;)Z": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateHasOwner(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/StateOperations.validateDestinationsOrSourcesOfTransitions(Lorg/eclipse/uml2/uml/State;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Ljava/lang/Object;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResolveProxy(Lorg/eclipse/emf/ecore/InternalEObject;)Lorg/eclipse/emf/ecore/EObject;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/TemplateableElementOperations.parameterableElements(Lorg/eclipse/uml2/uml/TemplateableElement;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl$Container.eInternalContainer()Lorg/eclipse/emf/ecore/InternalEObject;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/TransitionOperations.validateOutgoingPseudostates(Lorg/eclipse/uml2/uml/Transition;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotypes(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.allNamespaces()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/TemplateableElementOperations.isTemplate(Lorg/eclipse/uml2/uml/TemplateableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.validateMembersDistinguishable(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/TransitionOperations.validateJoinSegmentState(Lorg/eclipse/uml2/uml/Transition;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasKeyword(Ljava/lang/String;)Z": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/TransitionOperations.validateInitialTransition(Lorg/eclipse/uml2/uml/Transition;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.allApplicableStereotypes(Lorg/eclipse/uml2/uml/Package;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.setValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;Ljava/lang/Object;)V": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/StateOperations.isSimple(Lorg/eclipse/uml2/uml/State;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.isDistinguishableFrom(Lorg/eclipse/uml2/uml/NamedElement;Lorg/eclipse/uml2/uml/Namespace;)Z": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getNamesOfMember(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.mustBeOwned()Z": 4,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.createOwnedClass(Lorg/eclipse/uml2/uml/Package;Ljava/lang/String;Z)Lorg/eclipse/uml2/uml/Class;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getImportedMembers()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/RegionOperations.containingStateMachine(Lorg/eclipse/uml2/uml/Region;)Lorg/eclipse/uml2/uml/StateMachine;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplied(Lorg/eclipse/uml2/uml/Stereotype;)Z": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/TransitionOperations.validateStateIsLocal(Lorg/eclipse/uml2/uml/Transition;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getKeywords()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.separator()Ljava/lang/String;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.getAppliedProfiles(Lorg/eclipse/uml2/uml/Package;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/TransitionOperations.validateStateIsInternal(Lorg/eclipse/uml2/uml/Transition;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/StateOperations.validateEntryOrExit(Lorg/eclipse/uml2/uml/State;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/RegionOperations.validateDeepHistoryVertex(Lorg/eclipse/uml2/uml/Region;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 4,
    "Lorg/eclipse/uml2/uml/internal/operations/StateOperations.isSubmachineState(Lorg/eclipse/uml2/uml/State;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/TransitionOperations.validateJoinSegmentGuards(Lorg/eclipse/uml2/uml/Transition;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/StateOperations.containingStateMachine(Lorg/eclipse/uml2/uml/State;)Lorg/eclipse/uml2/uml/StateMachine;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.createPackageImport(Lorg/eclipse/uml2/uml/Package;Lorg/eclipse/uml2/uml/VisibilityKind;)Lorg/eclipse/uml2/uml/PackageImport;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getImportedPackages()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/common/util/DerivedUnionEObjectEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I)V": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotypes()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.isProfileApplied(Lorg/eclipse/uml2/uml/Package;Lorg/eclipse/uml2/uml/Profile;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/StateOperations.redefinitionContext(Lorg/eclipse/uml2/uml/State;)Lorg/eclipse/uml2/uml/Classifier;": 1,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl.eContainerFeatureID()I": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 4,
    "Lorg/eclipse/uml2/uml/internal/operations/RegionOperations.validateInitialVertex(Lorg/eclipse/uml2/uml/Region;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.createEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotype(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/RegionOperations.redefinitionContext(Lorg/eclipse/uml2/uml/Region;)Lorg/eclipse/uml2/uml/Classifier;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateHasQualifiedName(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 5,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getLabel()Ljava/lang/String;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/StateOperations.isRedefinitionContextValid(Lorg/eclipse/uml2/uml/State;Lorg/eclipse/uml2/uml/State;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getImportedElements()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateNotOwnSelf(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/TransitionOperations.redefinitionContext(Lorg/eclipse/uml2/uml/Transition;)Lorg/eclipse/uml2/uml/Classifier;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/TransitionOperations.containingStateMachine(Lorg/eclipse/uml2/uml/Transition;)Lorg/eclipse/uml2/uml/StateMachine;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.unapplyProfile(Lorg/eclipse/uml2/uml/Package;Lorg/eclipse/uml2/uml/Profile;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.createDependency(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/uml2/uml/Dependency;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/InteractionOperandOperations.validateGuardContainReferences(Lorg/eclipse/uml2/uml/InteractionOperand;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplication(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/StateOperations.isConsistentWith(Lorg/eclipse/uml2/uml/State;Lorg/eclipse/uml2/uml/RedefinableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getOwnedMembers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.createOwnedPrimitiveType(Lorg/eclipse/uml2/uml/Package;Ljava/lang/String;)Lorg/eclipse/uml2/uml/PrimitiveType;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/RedefinableElementOperations.validateNonLeafRedefinition(Lorg/eclipse/uml2/uml/RedefinableElement;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/common/util/DerivedSubsetEObjectEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I)V": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/RedefinableElementOperations.validateRedefinitionConsistent(Lorg/eclipse/uml2/uml/RedefinableElement;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.applyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.getAllAppliedProfiles(Lorg/eclipse/uml2/uml/Package;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.validateElementsPublicOrPrivate(Lorg/eclipse/uml2/uml/Package;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResource()Lorg/eclipse/emf/ecore/resource/Resource;": 4,
    "Lorg/eclipse/uml2/uml/internal/operations/StateOperations.isOrthogonal(Lorg/eclipse/uml2/uml/State;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplicable(Lorg/eclipse/uml2/uml/Stereotype;)Z": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/TransitionOperations.validateStateIsExternal(Lorg/eclipse/uml2/uml/Transition;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/RegionOperations.isConsistentWith(Lorg/eclipse/uml2/uml/Region;Lorg/eclipse/uml2/uml/RedefinableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/VertexOperations.getOutgoings(Lorg/eclipse/uml2/uml/Vertex;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/RegionOperations.validateShallowHistoryVertex(Lorg/eclipse/uml2/uml/Region;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/RedefinableElementOperations.validateRedefinitionContextValid(Lorg/eclipse/uml2/uml/RedefinableElement;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 3,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.excludeCollisions(Lorg/eclipse/emf/common/util/EList;)Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.getAllProfileApplications(Lorg/eclipse/uml2/uml/Package;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/TransitionOperations.isConsistentWith(Lorg/eclipse/uml2/uml/Transition;Lorg/eclipse/uml2/uml/RedefinableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.getAppliedProfile(Lorg/eclipse/uml2/uml/Package;Ljava/lang/String;Z)Lorg/eclipse/uml2/uml/Profile;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterableElementOperations.isCompatibleWith(Lorg/eclipse/uml2/uml/ParameterableElement;Lorg/eclipse/uml2/uml/ParameterableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/RedefinableElementOperations.isRedefinitionContextValid(Lorg/eclipse/uml2/uml/RedefinableElement;Lorg/eclipse/uml2/uml/RedefinableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getModel()Lorg/eclipse/uml2/uml/Model;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/StateOperations.validateSubmachineStates(Lorg/eclipse/uml2/uml/State;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeRequired(Lorg/eclipse/uml2/uml/Stereotype;)Z": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.isModelLibrary(Lorg/eclipse/uml2/uml/Package;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.membersAreDistinguishable()Z": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.destroy()V": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateHasNoQualifiedName(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotypes()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getNearestPackage()Lorg/eclipse/uml2/uml/Package;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/RegionOperations.validateOwned(Lorg/eclipse/uml2/uml/Region;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateVisibilityNeedsOwnership(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.createUsage(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/uml2/uml/Usage;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/TransitionOperations.validateForkSegmentState(Lorg/eclipse/uml2/uml/Transition;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.allOwnedElements()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.mustBeOwned(Lorg/eclipse/uml2/uml/Package;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/StateOperations.validateCompositeStates(Lorg/eclipse/uml2/uml/State;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/TransitionOperations.validateForkSegmentGuards(Lorg/eclipse/uml2/uml/Transition;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.createOwnedInterface(Lorg/eclipse/uml2/uml/Package;Ljava/lang/String;)Lorg/eclipse/uml2/uml/Interface;": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.createOwnedStereotype(Lorg/eclipse/uml2/uml/Package;Ljava/lang/String;Z)Lorg/eclipse/uml2/uml/Stereotype;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/RegionOperations.belongsToPSM(Lorg/eclipse/uml2/uml/Region;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.createOwnedEnumeration(Lorg/eclipse/uml2/uml/Package;Ljava/lang/String;)Lorg/eclipse/uml2/uml/Enumeration;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/InteractionOperandOperations.validateGuardDirectlyPrior(Lorg/eclipse/uml2/uml/InteractionOperand;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/StateOperations.validateSubmachineOrRegions(Lorg/eclipse/uml2/uml/State;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterableElementOperations.isTemplateParameter(Lorg/eclipse/uml2/uml/ParameterableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.unapplyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.createElementImport(Lorg/eclipse/uml2/uml/PackageableElement;Lorg/eclipse/uml2/uml/VisibilityKind;)Lorg/eclipse/uml2/uml/ElementImport;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplications()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.containingProfile(Lorg/eclipse/uml2/uml/Package;)Lorg/eclipse/uml2/uml/Profile;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.getAppliedProfile(Lorg/eclipse/uml2/uml/Package;Ljava/lang/String;)Lorg/eclipse/uml2/uml/Profile;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotypes()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.importMembers(Lorg/eclipse/emf/common/util/EList;)Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.getProfileApplication(Lorg/eclipse/uml2/uml/Package;Lorg/eclipse/uml2/uml/Profile;Z)Lorg/eclipse/uml2/uml/ProfileApplication;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.addKeyword(Ljava/lang/String;)Z": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNamespace()Lorg/eclipse/uml2/uml/Namespace;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageOperations.applyProfile(Lorg/eclipse/uml2/uml/Package;Lorg/eclipse/uml2/uml/Profile;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getLabel(Z)Ljava/lang/String;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.allOwningPackages()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships()Lorg/eclipse/emf/common/util/EList;": 5,
    "Lorg/eclipse/uml2/uml/internal/operations/StateOperations.isComposite(Lorg/eclipse/uml2/uml/State;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 5
  }
}